@import url('https://fonts.googleapis.com/css2?family=Poetsen+One&display=swap');
*{
    box-sizing: border-box;
}
body{
    margin: 0 auto;
    background-image: url(./img/pozadina.jpg);
    background-size: cover;
    font-family: "Poetsen One", sans-serif; /*Korišteno svojstvo fonta*/
    display: flex;
    flex-direction: column;
    min-height: 100dvh;
}
.container{
    max-width: 960px;
    width: 100%;
    margin:auto;
}
header{
    background-color: #FFF2E1;
    opacity: 0.7;   /*Korišteno svojstvo prozirnosti*/
    padding: 10px;
    font-size: large;
}
.logo{
    max-width: 170px;
    flex-basis: 150px;
    display: flex;
    flex-grow: 1;
}
.izbornik{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 5px;
    padding: 5px;
    text-align: center; /*Korišteno svojstvo teksta*/
}
.linkovi{
    max-width: 960px;
    width: 100%;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-basis: 600px;
    flex-grow: 1;
}
.linkovi a{
    padding: 10px;
    margin: 5px;
    border-radius: 10px;
    flex-grow: 1;
    color: black;
    font-size: larger;
}
.linkovi a:hover{
    color: #D1BB9E; /*Korištena pseudoklasa hover*/
}
.registracija{
    flex-basis: 150px;
    flex-grow: 1;
}
.registracija a{
    padding: 10px;
    margin: 10px;
}
.registracija a:hover{
    color: #D1BB9E;
}
main{
    background-image: linear-gradient(#ECCA9C,#FFF2E1); /*Korišteno svojstvo gradijenta*/    
    opacity: 0.8;
    margin: 15px;
    padding: 7px;
    border-radius: 10px;
    text-align: center;
}
.uvod{
    flex-basis: 300px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.sadrzaj h2{
    padding: 10px;
    text-align: center;
}
#slika{
    max-width: 370px;
    padding: 5px;
    margin: 5px;
    border-radius: 10px;
    opacity: 1;
}
#instagram{
    height: 50px;
}
.hrana{
    max-width: 250px;
    border-radius: 10px;        /*Korišteno svojstvo border-radius*/
    margin: 10px;
}
/*Index oblikovanje*/
.jela{
    display: flex;
    align-items: center;
    flex-direction: column;
}
.jela a{
    padding: 10px;
    margin: 15px;
    background-color: #A79277 ;     /*Korištena svojstvo pozadine*/
    width: 80%;
    border-radius: 10px;
    color: black;
    font-size:x-large;
}
/*Meni oblikovanje*/
.pizza{
    display: flex;
    flex-wrap: wrap;
}
.sastojci img{
    margin: 10px;
    border-radius: 10px;
}
.sastojci{
    flex-grow: 2;
}
.sastojci p{
    margin: 5px;
    padding: 10px;
}
ul li{
    font-size: large;
}
.dropdown {
    position: relative;     /*Korišteno svojstvo position:relative*/
    display: inline-block;
}
.dropbtn {
    background-color: #A79277;
    padding: 10px;
    margin: 10px;
    border-radius: 10px;
    color: black;
    font-size: larger;
}
.dropbtn:hover{
    background-color: #D1BB9E;
}
.dropdown:hover .dropbtn {
    background-color: #D1BB9E;
}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #D1BB9E;
    min-width: 100px;
    box-shadow: 0px 8px 16px 0px #ECCA9C;
    z-index: 1;                 /*Korišteno svojstvo z-index*/
}
.dropdown-content a {
    float: none;
    color: black;
    padding: 15px;
    display: block;
    text-align: center;
}
.dropdown-content a:hover {
    background-color: #FFF2E1;
}
.dropdown:hover .dropdown-content {
    display: block;
}
/*Kraj meni oblikovanja*/
.lokacija{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}
.lokacija iframe{
    border-radius: 10px;
    flex-basis: 150px;
}
.onama p{
    flex-basis: 150px;
    margin: 5px;
    padding: 5px;
    text-align: center;
    font-size: large;
}
.kontakt{
    margin: 10px;
    padding: 10px;
}
/*Kraj o nama oblikovanja*/
.odgovori{
    max-width: 750px;
    margin: auto;
}
.recenzije{
    display: flex;   
    justify-content: left;
}
.recenzije2{
    display: flex;   
    justify-content: right;
}
.ocjene{
    max-width: 300px;
    text-align: justify;
    margin: 10px;
    padding: 10px;
    background-color: #A79277;
    border-radius: 10px;
}
/*Kraj recenzije oblikovanja*/
.prijava{
    display: flex;
    justify-content: center;
    align-items: center;
}
#forma{
    width: 350px;
    height: 340px;
    margin: auto;
    margin: 25px;
    text-align: center;
    border-radius: 20px;
    padding: 20px;
}
#forma input{
    text-align: center;
    width: 200px;
    height: 25px;
    border-radius: 10px;
}
#forma button{
    text-align: center;
    width: 200px;
    height: 30px;
    border-radius: 10px;
}
/*Kraj prijava oblikovanja*/
.fotografije{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}
.fotografije img{
    border-radius: 10px;
    height: 190px;
    padding: 5px;
    margin: 5px;
    border: 3px solid #A79277;
}
.fotografije img:hover{
    background-color: #FFF2E1;
}
/*Kraj galerije oblikovanja*/
.footer{
    background-color: #FFF2E1;
    opacity: 0.5;
    padding: 10px;
    font-size: larger; 
}
.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.footer h3{
    padding: 10px;
}
a{
    text-decoration: none;
}